<?xml version="1.0" encoding="UTF-8"?><MBUDGET desc_thai="ทะเบียนงบประมาณ" desc_eng="MBUDGET" editcheck="true" mainhelp="MBUDGETHELP" referhelp="MBUDGETHELP" mainkey="BUDID" fieldsystem="*" protype="table" deleteflag="true" config_field="">
	<FIELD>
		<BUDID lang="A" encrypt="false" log="false" type="String">
			<KEY>1</KEY>
			<WIDTH>10</WIDTH>
			<DESC_ENG>BUDID</DESC_ENG>
			<DESC_THAI>รหัสงบประมาณ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>รหัสงบประมาณ</ALT_THAI>
				<ALT_ENG>BUDID</ALT_ENG>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
<APPNAME name="WELFARE">
			<DESC_ENG>Budget ID</DESC_ENG>
			<DESC_THAI>รหัสงบประมาณ</DESC_THAI>
				<COMPONENT type="text"><MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>รหัสงบประมาณ</ALT_THAI>
				<ALT_ENG>Budget ID</ALT_ENG>
			</COMPONENT></APPNAME>
</BUDID>
		<YEARS lang="T" encrypt="false" log="true" type="String"><WIDTH>4</WIDTH>
		<DESC_ENG>YEARS</DESC_ENG>
		<DESC_THAI>ปีงบประมาณ</DESC_THAI>
		<COMPONENT type="text">
<MAXSIZE>4</MAXSIZE>
			<SIZE>4</SIZE>
			<ONKEYPRESS>javascript:chkInteger();</ONKEYPRESS>
			<ALT_THAI>ปีงบประมาณ</ALT_THAI>
			<ALT_ENG>YEARS </ALT_ENG>
		</COMPONENT>
<APPNAME name="WELFARE">
			<DESC_ENG>Year</DESC_ENG>
			<DESC_THAI>ปีงบประมาณ</DESC_THAI>
				<COMPONENT type="text">
<MAXSIZE>4</MAXSIZE>
			<SIZE>4</SIZE>
			<ONKEYPRESS>javascript:chkInteger();</ONKEYPRESS>
			<ALT_THAI>ปีงบประมาณ</ALT_THAI>
			<ALT_ENG>YEARS </ALT_ENG>
		</COMPONENT></APPNAME>
</YEARS>
	<BUDGID lang="E" encrypt="false" log="true" type="String"><WIDTH>10</WIDTH>
		<RELATION>MBUDGETGRP</RELATION>
		<DESC_ENG>BUDGID </DESC_ENG>
		<DESC_THAI>กลุ่มงบประมาณ</DESC_THAI>
		<COMPONENT type="text">
			<MAXSIZE>5</MAXSIZE>
			<SIZE>5</SIZE>
			<ALT_THAI>กลุ่มงบประมาณ</ALT_THAI>
			<ALT_ENG>BUDGID </ALT_ENG>
		</COMPONENT>
		<REQUIRE>true</REQUIRE>
<APPNAME name="WELFARE">
			<DESC_ENG>Budget group ID </DESC_ENG>
			<DESC_THAI>กลุ่มงบประมาณ</DESC_THAI>
				<COMPONENT type="text"><MAXSIZE>10</MAXSIZE>
			<SIZE>10</SIZE>
			<ALT_THAI>กลุ่มงบประมาณ</ALT_THAI>
			<ALT_ENG>Budget group ID </ALT_ENG>
		</COMPONENT></APPNAME>
</BUDGID>
	<TDESC lang="E" encrypt="false" log="true" type="String">
		<WIDTH>255</WIDTH>
		<REFER_LANG>EDESC</REFER_LANG>
		<DESC_ENG>TDESC </DESC_ENG>
		<DESC_THAI>รายละเอียดภาษาไทย</DESC_THAI>
		<COMPONENT type="text">
<MAXSIZE>255</MAXSIZE>
			<SIZE>70</SIZE>
			<ALT_THAI>รายละเอียดภาษาไทย</ALT_THAI>
			<ALT_ENG>TDESC </ALT_ENG>
		</COMPONENT>
<APPNAME name="WELFARE">
			<DESC_ENG>Description(thai) </DESC_ENG>
			<DESC_THAI>รายละเอียด(ไทย)</DESC_THAI>
				<COMPONENT type="text">
<MAXSIZE>255</MAXSIZE>
			<SIZE>70</SIZE>
			<ALT_THAI>รายละเอียด(ไทย)</ALT_THAI>
			<ALT_ENG>Desctiprion(thai) </ALT_ENG>
		</COMPONENT></APPNAME>
</TDESC>
	<EDESC lang="E" encrypt="false" log="true" type="String">
		<WIDTH>255</WIDTH>
		<REFER_LANG>TDESC</REFER_LANG>
		<DESC_ENG>EDESC </DESC_ENG>
		<DESC_THAI>รายละเอียดภาษาอังกฤษ</DESC_THAI>
		<COMPONENT type="text">
<MAXSIZE>255</MAXSIZE>
			<SIZE>70</SIZE>
			<ALT_THAI>รายละเอียดภาษาอังกฤษ</ALT_THAI>
			<ALT_ENG>EDESC </ALT_ENG>
		</COMPONENT>
<APPNAME name="WELFARE">
			<DESC_ENG>Descript(eng) </DESC_ENG>
			<DESC_THAI>รายละเอียด(อังกฤษ)</DESC_THAI>
				<COMPONENT type="text">
<MAXSIZE>255</MAXSIZE>
			<SIZE>70</SIZE>
			<ALT_THAI>รายละเอียด(อังกฤษ)</ALT_THAI>
			<ALT_ENG>Description(eng)</ALT_ENG>
		</COMPONENT></APPNAME>
</EDESC>
	<STATUS lang="E" encrypt="false" log="true" type="String">
		<WIDTH>1</WIDTH>
		<DESC_ENG>STATUS </DESC_ENG>
		<DESC_THAI>สถานะการใช้งาน</DESC_THAI>
		<COMPONENT type="radio">
<VALIDCODE>YESNO</VALIDCODE>
			<VALUE>1</VALUE>
			<MAXSIZE>80</MAXSIZE>
			<SIZE>70</SIZE>
			<ALT_THAI>สถานะการใช้งาน</ALT_THAI>
			<ALT_ENG>STATUS </ALT_ENG>
		</COMPONENT>
<APPNAME name="WELFARE">
			<DESC_ENG>Status </DESC_ENG>
			<DESC_THAI>สถานะการใช้งาน</DESC_THAI>
				<COMPONENT type="radio">
			<VALIDCODE>YESNO</VALIDCODE>
			<DEFAULTVALUE>1</DEFAULTVALUE>
			<VALUE>1</VALUE>
			<MAXSIZE>80</MAXSIZE>
			<SIZE>70</SIZE>
			<ALT_THAI>สถานะการใช้งาน</ALT_THAI>
			<ALT_ENG>Status </ALT_ENG>
		</COMPONENT></APPNAME>
</STATUS>
	<STARTDATE lang="E" encrypt="false" log="true" type="Date">
		<WIDTH>23</WIDTH>
		<DESC_ENG>STARTDATE </DESC_ENG>
		<DESC_THAI>วันเริ่มต้นงบประมาณ</DESC_THAI>
		<COMPONENT type="text">
<MAXSIZE>23</MAXSIZE>
			<SIZE>10</SIZE>
			<ALT_THAI>วันเริ่มต้นงบประมาณ</ALT_THAI>
			<ALT_ENG>STARTDATE </ALT_ENG>
		</COMPONENT>
<APPNAME name="WELFARE">
			<DESC_ENG>Start date </DESC_ENG>
			<DESC_THAI>วันเริ่มต้นงบประมาณ</DESC_THAI>
				<COMPONENT type="text">
<MAXSIZE>23</MAXSIZE>
			<SIZE>10</SIZE>
			<ALT_THAI>วันเริ่มต้นงบประมาณ</ALT_THAI>
			<ALT_ENG>Start date </ALT_ENG>
		</COMPONENT></APPNAME>
</STARTDATE>
	<ENDDATE lang="E" encrypt="false" log="true" type="Date">
		<WIDTH>23</WIDTH>
		<DESC_ENG>ENDDATE</DESC_ENG>
		<DESC_THAI>วันสิ้นสุดงบประมาณ</DESC_THAI>
		<COMPONENT type="text">
<MAXSIZE>23</MAXSIZE>
			<SIZE>10</SIZE>
			<ALT_THAI>วันสิ้นสุดงบประมาณ</ALT_THAI>
			<ALT_ENG>ENDDATE </ALT_ENG>
		</COMPONENT>
<APPNAME name="WELFARE">
			<DESC_ENG>end date</DESC_ENG>
			<DESC_THAI>วันสิ้นสุดงบประมาณ</DESC_THAI>
				<COMPONENT type="text">
<MAXSIZE>23</MAXSIZE>
			<SIZE>10</SIZE>
			<ALT_THAI>วันสิ้นสุดงบประมาณ</ALT_THAI>
			<ALT_ENG>end date </ALT_ENG>
		</COMPONENT></APPNAME>
</ENDDATE>
	<COMPANYID lang="E" encrypt="false" log="true" type="String">
		<KEY>2</KEY>
		<WIDTH>10</WIDTH>
		<DESC_ENG>COMPANYID </DESC_ENG>
		<DESC_THAI>COMPANYID</DESC_THAI>
		<COMPONENT type="text">
			<MAXSIZE>10</MAXSIZE>
			<SIZE>10</SIZE>
			<ALT_THAI>COMPANYID</ALT_THAI>
			<ALT_ENG>COMPANYID </ALT_ENG>
		</COMPONENT>
<APPNAME name="WELFARE">
			<DESC_ENG>Company Code</DESC_ENG>
			<DESC_THAI>รหัสสำนักงาน</DESC_THAI>
				<COMPONENT type="text">
			<MAXSIZE>10</MAXSIZE>
			<SIZE>10</SIZE>
			<ALT_THAI>รหัสสำนักงาน</ALT_THAI>
			<ALT_ENG>Company Code </ALT_ENG>
		</COMPONENT></APPNAME>
</COMPANYID>
</FIELD>
<RELATION>
						<MWELFARE insertlevel="0" deletelevel="0" mode="-1">
									<PARENT>MBUDGET.BUDID</PARENT>
									<PARENT>MBUDGET.COMPANYID</PARENT>
									<CHILD>MWELFARE.BUDID</CHILD>
										<CHILD>MWELFARE.COMPANYID</CHILD>
						</MWELFARE>
						<SIMMWELFARE insertlevel="0" deletelevel="0" mode="-1">
									<PARENT>MBUDGET.BUDID</PARENT>
									<PARENT>MBUDGET.COMPANYID</PARENT>
									<CHILD>SMIMWELFARE.BUDID</CHILD>
									<CHILD>SIMMWELFARE.COMPANYID</CHILD>
						</SIMMWELFARE>
						<MCOMPLAIN insertlevel="0" deletelevel="0" mode="-1">
									<PARENT>MBUDGET.BUDID</PARENT>
									<PARENT>MBUDGET.COMPANYID</PARENT>
									<CHILD>MCOMPLAIN.BUDYEAR</CHILD>
									<CHILD>MCOMPLAIN.COMPANYID</CHILD>
						</MCOMPLAIN>
						<MWELBUDGET insertlevel="0" deletelevel="0" mode="-1">
									<PARENT>MBUDGET.BUDID</PARENT>
									<PARENT>MBUDGET.COMPANYID</PARENT>
									<CHILD>MWELBUDGET.BUDID</CHILD>
									<CHILD>MWELBUDGET.COMPANYID</CHILD>
						</MWELBUDGET>
						<MWELBUDGRP insertlevel="0" deletelevel="0" mode="-1">
									<PARENT>MBUDGET.BUDID</PARENT>
									<PARENT>MBUDGET.COMPANYID</PARENT>
									<CHILD>MWELBUDGRP.YEARS</CHILD>
									<CHILD>MWELBUDGRP.COMPANYID</CHILD>
						</MWELBUDGRP>
						<MWELBUD insertlevel="0" deletelevel="0">
									<PARENT>MBUDGET.BUDID</PARENT>
									<PARENT>MBUDGET.COMPANYID</PARENT>
									<CHILD>MWELBUD.BUDYEAR</CHILD>
									<CHILD>MWELBUD.COMPANYID</CHILD>
						</MWELBUD>
						<MWELREG insertlevel="0" deletelevel="0">
									<PARENT>MBUDGET.BUDID</PARENT>
									<PARENT>MBUDGET.COMPANYID</PARENT>
									<CHILD>MWELREG.BUDID</CHILD>
									<CHILD>MWELREG.COMPANYID</CHILD>
						</MWELREG>
						<TWELFARE_REG insertlevel="0" deletelevel="0">
									<PARENT>MBUDGET.BUDID</PARENT>
									<PARENT>MBUDGET.COMPANYID</PARENT>
									<CHILD>TWELFARE_REG.BUDID</CHILD>
									<CHILD>TWELFARE_REG.COMPANYID</CHILD>
						</TWELFARE_REG>
						</RELATION>
</MBUDGET>
